| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
HistoryQosPolicy Class Reference

Specifies the behavior of the Service in the case where the value of a sample changes (one or more times) before it can be successfully communicated to one or more existing subscribers. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for HistoryQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | HistoryQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~HistoryQosPolicy ()=default
| Destructor.
bool | operator== (const HistoryQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

HistoryQosPolicyKind | kind
| HistoryQosPolicyKind. By default, KEEP_LAST_HISTORY_QOS.
int32_t | depth
| History depth.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Specifies the behavior of the Service in the case where the value of a sample changes (one or more times) before it can be successfully communicated to one or more existing subscribers.

This QoS policy controls whether the Service should deliver only the most recent value, attempt to deliver all intermediate values, or do something in between. On the publishing side this policy controls the samples that should be maintained by the DataWriter on behalf of existing DataReader entities. The behavior with regards to a DataReaderentities discovered after a sample is written is controlled by the DURABILITY QoS policy. On the subscribing side it controls the samples that should be maintained until the application “takes” them from the Service.

Note
  Immutable Qos Policy

## Constructor & Destructor Documentation

## ◆ HistoryQosPolicy()

FASTDDS_EXPORTED_API HistoryQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~HistoryQosPolicy()

virtual FASTDDS_EXPORTED_API ~HistoryQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const HistoryQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ depth

int32_t depth

History depth.

By default, 1. If a value other than 1 is specified, it should be consistent with the settings of the ResourceLimitsQosPolicy.

Warning
  Only takes effect if the kind is KEEP_LAST_HISTORY_QOS.

## ◆ kind

HistoryQosPolicyKind kind

HistoryQosPolicyKind.
By default, KEEP_LAST_HISTORY_QOS.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp